> ## Documentation Index
> Fetch the complete documentation index at: https://cantonfoundation-generated-reference-full-stack-preview.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# POST /registry/allocations/v1/:allocationId/choice-contexts/withdraw

> Get the choice context to withdraw an allocation.

<div class="x2mdx-ref-page x2mdx-ref-page--operation x2mdx-ref-page--manual-api" />

<div class="x2mdx-ref-hero">
  <p class="x2mdx-ref-summary">Get the choice context to withdraw an allocation.</p>

  <div class="x2mdx-ref-badges">
    <span class="x2mdx-ref-badge x2mdx-ref-badge--protocol">OpenAPI</span>
  </div>
</div>

<RequestExample>
  ```bash cURL theme={"theme":{"light":"github-light","dark":"github-dark"}}
  curl --request POST \
    --url 'https://example.com/registry/allocations/v1/{allocationId}/choice-contexts/withdraw' \
    --header 'Content-Type: application/json' \
    --data '{
    "meta": {},
    "excludeDebugFields": false
  }'
  ```

  ```python Python theme={"theme":{"light":"github-light","dark":"github-dark"}}
  import json
  import requests

  url = "https://example.com/registry/allocations/v1/{allocationId}/choice-contexts/withdraw"
  headers = {'Content-Type': 'application/json'}
  payload = json.loads(r'''{
    "meta": {},
    "excludeDebugFields": false
  }''')
  response = requests.request(
      "POST", url, headers=headers, json=payload
  )

  print(response.text)
  ```

  ```javascript JavaScript theme={"theme":{"light":"github-light","dark":"github-dark"}}
  const response = await fetch('https://example.com/registry/allocations/v1/{allocationId}/choice-contexts/withdraw', {
    method: 'POST',
    headers: {
    "Content-Type": "application/json"
  },
    body: JSON.stringify({
    "meta": {},
    "excludeDebugFields": false
  }),
  });

  console.log(await response.text());
  ```

  ```php PHP theme={"theme":{"light":"github-light","dark":"github-dark"}}
  <?php
  $curl = curl_init();

  curl_setopt_array($curl, [
      CURLOPT_URL => 'https://example.com/registry/allocations/v1/{allocationId}/choice-contexts/withdraw',
      CURLOPT_RETURNTRANSFER => true,
      CURLOPT_CUSTOMREQUEST => 'POST',
      CURLOPT_POSTFIELDS => <<<'JSON'
  {
    "meta": {},
    "excludeDebugFields": false
  }
  JSON,
      CURLOPT_HTTPHEADER => [
          "Content-Type: application/json"
      ],
  ]);

  $response = curl_exec($curl);
  echo $response;
  ```

  ```go Go theme={"theme":{"light":"github-light","dark":"github-dark"}}
  package main

  import (
    "bytes"
    "fmt"
    "io"
    "net/http"
  )

  func main() {
    req, _ := http.NewRequest("POST", "https://example.com/registry/allocations/v1/{allocationId}/choice-contexts/withdraw", bytes.NewBufferString(`{
    "meta": {},
    "excludeDebugFields": false
  }`))
    req.Header.Set("Content-Type", "application/json")
    response, _ := http.DefaultClient.Do(req)
    defer response.Body.Close()
    body, _ := io.ReadAll(response.Body)
    fmt.Println(string(body))
  }
  ```

  ```java Java theme={"theme":{"light":"github-light","dark":"github-dark"}}
  import java.net.URI;
  import java.net.http.HttpClient;
  import java.net.http.HttpRequest;
  import java.net.http.HttpResponse;

  var request = HttpRequest.newBuilder()
      .uri(URI.create("https://example.com/registry/allocations/v1/{allocationId}/choice-contexts/withdraw"))
      .header("Content-Type", "application/json")
      .method("POST", HttpRequest.BodyPublishers.ofString("""
  {
    "meta": {},
    "excludeDebugFields": false
  }
  """))
      .build();
  var response = HttpClient.newHttpClient().send(
      request, HttpResponse.BodyHandlers.ofString());
  System.out.println(response.body());
  ```

  ```ruby Ruby theme={"theme":{"light":"github-light","dark":"github-dark"}}
  require 'net/http'
  require 'uri'

  uri = URI('https://example.com/registry/allocations/v1/{allocationId}/choice-contexts/withdraw')
  request = Net::HTTP::Post.new(uri)
  request['Content-Type'] = 'application/json'
  request.body = <<~JSON
  {
    "meta": {},
    "excludeDebugFields": false
  }
  JSON
  response = Net::HTTP.start(uri.hostname, uri.port) do |http|
    http.request(request)
  end
  puts response.body
  ```
</RequestExample>

<ResponseExample>
  ```json 200 theme={"theme":{"light":"github-light","dark":"github-dark"}}
  {
    "choiceContextData": {},
    "disclosedContracts": [
      {
        "templateId": "<string>",
        "contractId": "<string>",
        "createdEventBlob": "<string>",
        "synchronizerId": "<string>",
        "debugPackageName": "<string>",
        "debugPayload": {},
        "debugCreatedAt": "2026-01-01T00:00:00Z"
      }
    ]
  }
  ```

  ```json 400 theme={"theme":{"light":"github-light","dark":"github-dark"}}
  {
    "error": "<string>"
  }
  ```

  ```json 404 theme={"theme":{"light":"github-light","dark":"github-dark"}}
  {
    "error": "<string>"
  }
  ```
</ResponseExample>

## Path parameters

<ParamField path="allocationId" type="string" required>
  The contract ID of the allocation to withdraw.
</ParamField>

## Body

<div class="x2mdx-ref-badges">
  <span class="x2mdx-ref-badge x2mdx-ref-badge--neutral">application/json</span>
</div>

<ParamField body="meta" type="object">
  Metadata that will be passed to the choice, and should be incorporated into the choice context. Provided for extensibility.
</ParamField>

<ParamField body="excludeDebugFields" type="boolean" default="false">
  If set to true, the response will not include fields prefixed with 'debug'. Useful to save bandwidth.
</ParamField>

## Responses

### 200

ok

<div class="x2mdx-ref-badges">
  <span class="x2mdx-ref-badge x2mdx-ref-badge--neutral">application/json</span>
</div>

<ResponseField name="choiceContextData" type="object" required>
  The additional data to use when exercising the choice.
</ResponseField>

<ResponseField name="disclosedContracts" type="DisclosedContract[]" required>
  The contracts that are required to be disclosed to the participant node for exercising the choice.

  <Expandable title="child attributes">
    <ResponseField name="templateId" type="string" required />

    <ResponseField name="contractId" type="string" required />

    <ResponseField name="createdEventBlob" type="string" required />

    <ResponseField name="synchronizerId" type="string" required>
      The synchronizer to which the contract is currently assigned. If the contract is in the process of being reassigned, then a "409" response is returned.
    </ResponseField>

    <ResponseField name="debugPackageName" type="string">
      The name of the Daml package that was used to create the contract. Use this data only if you trust the provider, as it might not match the data in the `createdEventBlob`.
    </ResponseField>

    <ResponseField name="debugPayload" type="object">
      The contract arguments that were used to create the contract. Use this data only if you trust the provider, as it might not match the data in the `createdEventBlob`.
    </ResponseField>

    <ResponseField name="debugCreatedAt" type="string (date-time)">
      The ledger effective time at which the contract was created. Use this data only if you trust the provider, as it might not match the data in the `createdEventBlob`.
    </ResponseField>
  </Expandable>
</ResponseField>

### 400

bad request

<div class="x2mdx-ref-badges">
  <span class="x2mdx-ref-badge x2mdx-ref-badge--neutral">application/json</span>
</div>

<ResponseField name="error" type="string" required />

### 404

not found

<div class="x2mdx-ref-badges">
  <span class="x2mdx-ref-badge x2mdx-ref-badge--neutral">application/json</span>
</div>

<ResponseField name="error" type="string" required />
